@echo off

echo Aggregate CSV file and save data cube to file

..\pivotdata.exe -i csv "testdata\New_York_City_Leading_Causes_of_Death.csv" "{Delimiter:','}" -m "{'Year':{Type:'integer'},'Count':{Type:'integer'}}" -p "{Dimensions:['Year','Sex','Ethnicity'],Aggregators:[{Name:'Sum',Params:['Count']}]}" -o cubefile _NY_Causes_of_Death_Aggregated

echo Total number of deaths:
..\pivotdata.exe --silent -i cubefile _NY_Causes_of_Death_Aggregated -o getvalue "[null,null,null]"

echo Total number of Male deaths:

..\pivotdata.exe --silent -i cubefile _NY_Causes_of_Death_Aggregated -o getvalue "[null,'MALE',null]"
echo Generating pivot table report #1 (NY_Causes_Of_Death_Report1.html)

..\pivotdata.exe -i cubefile _NY_Causes_of_Death_Aggregated -t "{Rows:['Year'],Columns:['Sex']}" -o pivottablehtml _NY_Causes_Of_Death_Report1.html
echo Generating pivot table report #2 (NY_Causes_Of_Death_Report2.html)

..\pivotdata.exe -i cubefile _NY_Causes_of_Death_Aggregated -t "{Rows:['Year', 'Sex'],Columns:['Ethnicity']}" -o pivottablehtml _NY_Causes_Of_Death_Report2.html
start _NY_Causes_Of_Death_Report1.html
start _NY_Causes_Of_Death_Report2.html